> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates an integration fields passthrough setting

> When enabled, the integration field will be passed as part of the `integration_fields` array on the specific model endpoint. Providing false will disable the passthrough for the specified field.



## OpenAPI

````yaml PATCH /integrations/{integration_id}/integration-fields/{integration_field_id}
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /integrations/{integration_id}/integration-fields/{integration_field_id}:
    patch:
      tags:
        - General
      summary: Updates an integration fields passthrough setting
      description: >-
        When enabled, the integration field will be passed as part of the
        `integration_fields` array on the specific model endpoint. Providing
        false will disable the passthrough for the specified field.
      operationId: PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldId
      parameters:
        - name: integration_id
          in: path
          required: true
          description: >-
            PATCH
            /integrations/:integration_id/integration-fields/:integration_field_id
            Parameter
          schema:
            $ref: >-
              #/components/schemas/PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldIdParameterIntegrationId
          examples:
            example1:
              value: integration_id
        - name: integration_field_id
          in: path
          required: true
          description: >-
            PATCH
            /integrations/:integration_id/integration-fields/:integration_field_id
            Parameter
          schema:
            $ref: >-
              #/components/schemas/PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldIdParameterIntegrationFieldId
          examples:
            example1:
              value: integration_field_id
      requestBody:
        description: >-
          PATCH
          /integrations/:integration_id/integration-fields/:integration_field_id
          Request body
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldIdRequestBody
            examples:
              example1:
                value:
                  enable_passthrough: true
      responses:
        '200':
          description: >-
            PATCH
            /integrations/:integration_id/integration-fields/:integration_field_id
            Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldIdPositiveResponse
              examples:
                example1:
                  value:
                    status: success
                    data:
                      id: 9suhxJU83Kon4kPTS47837uE
                      key: tax_id
                      model: hris_employees
                      type: DEFAULT
                      label: Tax ID
                      is_passthrough_enabled: true
                      is_writable: false
        default:
          $ref: '#/components/responses/ErrorResponseGeneral'
      x-codeSamples:
        - lang: python
          label: PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldId
          source: |-
            from kombo import Kombo


            with Kombo(
                api_key="<YOUR_BEARER_TOKEN_HERE>",
            ) as k_client:

                res = k_client.general.update_integration_field(integration_id="integration_id", integration_field_id="integration_field_id", enable_passthrough=True)

                # Handle response
                print(res)
        - lang: typescript
          label: PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldId
          source: |-
            import { Kombo } from "@kombo-api/sdk";

            const kombo = new Kombo({
              api_key: "<YOUR_BEARER_TOKEN_HERE>",
            });

            async function run() {
              const result = await kombo.general.updateIntegrationField({
                integration_id: "integration_id",
                integration_field_id: "integration_field_id",
                body: {
                  enable_passthrough: true,
                },
              });

              console.log(result);
            }

            run();
        - lang: ruby
          label: PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldId
          source: >-
            require 'kombo'


            Models = ::Kombo::Models

            s = ::Kombo::Kombo.new(
              security: Models::Shared::Security.new(
                api_key: '<YOUR_BEARER_TOKEN_HERE>'
              )
            )

            res = s.general.update_integration_field(integration_id:
            'integration_id', integration_field_id: 'integration_field_id',
            body:
            Models::Shared::PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldIdRequestBody.new(
              enable_passthrough: true
            ))


            unless
            res.patch_integrations_integration_id_integration_fields_integration_field_id_positive_response.nil?
              # handle response
            end
components:
  schemas:
    PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldIdParameterIntegrationId:
      type: string
    PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldIdParameterIntegrationFieldId:
      type: string
    PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldIdRequestBody:
      type: object
      properties:
        enable_passthrough:
          type:
            - boolean
            - 'null'
      required:
        - enable_passthrough
    PatchIntegrationsIntegrationIdIntegrationFieldsIntegrationFieldIdPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            id:
              type: string
              description: The unique ID of the field.
            key:
              type: string
              description: The key of the field in the remote system.
            model:
              type: string
              description: The model the field is associated with.
            type:
              type: string
              enum:
                - DEFAULT
                - CUSTOM
              description: >-
                The type of the integration field. There is a type to avoid
                collisions between DEFAULT fields and CUSTOM fields with the
                same key.
            label:
              type:
                - string
                - 'null'
              description: The label of the field in the remote system.
            is_passthrough_enabled:
              type: boolean
              description: >-
                Whether the field is included in the integrations_fields array
                of the corresponding model.
            is_writable:
              type: boolean
              const: false
              description: >-
                This field is related to a deprecated feature and means nothing,
                but is kept for backwards compatibility.
          required:
            - id
            - key
            - model
            - type
            - label
            - is_passthrough_enabled
            - is_writable
          examples:
            - id: 9suhxJU83Kon4kPTS47837uE
              key: tax_id
              model: hris_employees
              type: DEFAULT
              label: Tax ID
              is_passthrough_enabled: true
              is_writable: false
      required:
        - status
        - data
  responses:
    ErrorResponseGeneral:
      description: The standard error response with just the platform error codes.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                    example: PLATFORM.RATE_LIMIT_EXCEEDED
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````